Jamf Protect - Queries

Read security data from Jamf Protect.

Queries read data from Jamf Protect. Send them to POST /protect with your access token in the Authorization header.

19 queries available. Return and argument types link to the Types reference.

📘

Type notation: [X] is a list of X; ! means non-null (required). For example, [Alert!]! is a required list of non-null Alert objects.

getAlert

Get a specific Alert

getAlert(uuid: ID!): Alert
ArgumentTypeDescription
uuidID!The unique identifier (UUID) of the record to act on.

Returns: Alert

getAnalytic

Get a specific Analytic

getAnalytic(uuid: ID!): Analytic
ArgumentTypeDescription
uuidID!The unique identifier (UUID) of the record to act on.

Returns: Analytic

getComputer

Get information about a specific Computer

getComputer(uuid: ID!): Computer
ArgumentTypeDescription
uuidID!The unique identifier (UUID) of the record to act on.

Returns: Computer

getPlan

Get a specific Plan

getPlan(id: ID!): Plan
ArgumentTypeDescription
idID!The unique identifier of the record to act on.

Returns: Plan

getPreventList

Get a specific Custom Prevent List

getPreventList(id: ID!): PreventList
ArgumentTypeDescription
idID!The unique identifier of the record to act on.

Returns: PreventList

getUnifiedLoggingFilter

Get a specific Unified Logging filter

getUnifiedLoggingFilter(uuid: ID!): UnifiedLoggingFilter
ArgumentTypeDescription
uuidID!The unique identifier (UUID) of the record to act on.

Returns: UnifiedLoggingFilter

listAlerts

Get one or more Alerts with optional filtering criteria

listAlerts(input: AlertQueryInput!): AlertConnection
ArgumentTypeDescription
inputAlertQueryInput!Input object holding the query criteria (filters, paging, sorting) or the values to write.

Returns: AlertConnection

listAnalytics

Get one or more Analytics

listAnalytics: AnalyticConnection

Returns: AnalyticConnection

listAuditLogsByDate

List Audit Logs by Date, Operation, or User

listAuditLogsByDate(input: AuditLogsDateQueryInput): AuditLogConnection
ArgumentTypeDescription
inputAuditLogsDateQueryInputInput object holding the query criteria (filters, paging, sorting) or the values to write.

Returns: AuditLogConnection

listAuditLogsByOp

List audit log entries grouped by operation, most recent first.

listAuditLogsByOp(input: AuditLogsOpQueryInput): AuditLogConnection
ArgumentTypeDescription
inputAuditLogsOpQueryInputInput object holding the query criteria (filters, paging, sorting) or the values to write.

Returns: AuditLogConnection

listAuditLogsByUser

List audit log entries grouped by user, most recent first.

listAuditLogsByUser(input: AuditLogsUserQueryInput): AuditLogConnection
ArgumentTypeDescription
inputAuditLogsUserQueryInputInput object holding the query criteria (filters, paging, sorting) or the values to write.

Returns: AuditLogConnection

listBaselineRules

List all Insights

listBaselineRules: [ComplianceInfo]

Returns: [ComplianceInfo]

listComputers

Get information about one or more Computers with optional filtering criteria

listComputers(input: ComputerQueryInput): ComputerConnection
ArgumentTypeDescription
inputComputerQueryInputInput object holding the query criteria (filters, paging, sorting) or the values to write.

Returns: ComputerConnection

listPlans

Get one or more Plans with optional filtering criteria

listPlans(input: PlanQueryInput): PlanConnection
ArgumentTypeDescription
inputPlanQueryInputInput object holding the query criteria (filters, paging, sorting) or the values to write.

Returns: PlanConnection

listPreventLists

Get one or more Custom Prevent Lists with optional filtering criteria

listPreventLists(input: PreventListQueryInput): PreventListConnection
ArgumentTypeDescription
inputPreventListQueryInputInput object holding the query criteria (filters, paging, sorting) or the values to write.

Returns: PreventListConnection

listThreatPreventionVersions

Get Threat Prevention database versions

listThreatPreventionVersions: [ThreatPreventionVersion]

Returns: [ThreatPreventionVersion]

listUnifiedLoggingFilters

Get one or more Unified Logging filters with optional filtering criteria

listUnifiedLoggingFilters(input: UnifiedLoggingFiltersListQueryInput): UnifiedLoggingFilterConnection
ArgumentTypeDescription
inputUnifiedLoggingFiltersListQueryInputInput object holding the query criteria (filters, paging, sorting) or the values to write.

Returns: UnifiedLoggingFilterConnection

listUsers

List all Users

listUsers(input: UserQueryInput): UserConnection
ArgumentTypeDescription
inputUserQueryInputInput object holding the query criteria (filters, paging, sorting) or the values to write.

Returns: UserConnection

requestComputerTimeline

Download telemetry data for a specific Computer over a specified time range

requestComputerTimeline(input: ComputerTimelineInput): ComputerTimeline
ArgumentTypeDescription
inputComputerTimelineInputInput object holding the query criteria (filters, paging, sorting) or the values to write.

Returns: ComputerTimeline



Jamf Protect API: Overview · Queries · Mutations · Types · Example Calls